Package org.eclipse.jgit.revwalk

## Interface AsyncRevObjectQueue

All Superinterfaces:
  `AsyncOperation`

    public interface AsyncRevObjectQueue
    extends AsyncOperation

Queue to lookup and parse objects asynchronously. A queue may perform background lookup of objects and supply them (possibly out-of-order) to the application.

### Method Summary

All Methods Instance Methods Abstract Methods
`RevObject` `next()` Obtain the next object.

### Methods inherited from interface org.eclipse.jgit.lib.AsyncOperation

`cancel, release`

### Method Detail

#### next

    RevObject next()
            throws MissingObjectException,
                   IOException

Obtain the next object.

Returns:
  the object; null if there are no more objects remaining.
Throws:
  `MissingObjectException` - the object does not exist. There may be more objects remaining in the iteration, the application should call `next()` again.
  `IOException` - the object store cannot be accessed.